Bug 144168 - Inconsistent UI when changing path of a share
Summary: Inconsistent UI when changing path of a share
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-04 21:35 UTC by David Timms
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 16:53:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Timms 2005-01-04 21:35:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
Changing the folder value for an existing share causes the share name to
change. The share name changes into the main s-c-s screen (Samba Server
Configuration), but does not apply the directory name change. :( 


Version-Release number of selected component (if applicable):
system-config-samba-1.2.23-1

How reproducible:
Always

Steps to Reproduce:
1. run system-config-samba
2. click a share and go to properties
3. change the folder selection
4. confirm the change
  

Actual Results:  5. the share summary list the chosen share as having changed its share name, but the folder name does not get updated.

Expected Results:  5. the share name should be updated to that now contained in the smb.conf

Additional info:

(Restarting s-c-s does fix this).

Comment 1 Phil Schaffner 2005-01-07 20:42:59 UTC
This behavior persists in system-config-samba-1.2.25-0.fc3.1

Comment 2 Nils Philippsen 2005-01-11 13:25:38 UTC
fixed in CVS

Comment 3 Nils Philippsen 2005-01-12 16:53:40 UTC
Fixed in system-config-samba-1.2.26-0.fc3.1 which should hit the mirrors soon.


Note You need to log in before you can comment on or make changes to this bug.